Open CASCADE Technology 7.8.0
|
To convert circular section in QuasiAngular Bezier form. More...
#include <GeomFill_QuasiAngularConvertor.hxx>
To convert circular section in QuasiAngular Bezier form.
GeomFill_QuasiAngularConvertor::GeomFill_QuasiAngularConvertor | ( | ) |
void GeomFill_QuasiAngularConvertor::Init | ( | ) |
Standard_Boolean GeomFill_QuasiAngularConvertor::Initialized | ( | ) | const |
say if <me> is Initialized
void GeomFill_QuasiAngularConvertor::Section | ( | const gp_Pnt & | FirstPnt, |
const gp_Pnt & | Center, | ||
const gp_Vec & | Dir, | ||
const Standard_Real | Angle, | ||
TColgp_Array1OfPnt & | Poles, | ||
TColStd_Array1OfReal & | Weights | ||
) |
void GeomFill_QuasiAngularConvertor::Section | ( | const gp_Pnt & | FirstPnt, |
const gp_Vec & | DFirstPnt, | ||
const gp_Pnt & | Center, | ||
const gp_Vec & | DCenter, | ||
const gp_Vec & | Dir, | ||
const gp_Vec & | DDir, | ||
const Standard_Real | Angle, | ||
const Standard_Real | DAngle, | ||
TColgp_Array1OfPnt & | Poles, | ||
TColgp_Array1OfVec & | DPoles, | ||
TColStd_Array1OfReal & | Weights, | ||
TColStd_Array1OfReal & | DWeights | ||
) |
void GeomFill_QuasiAngularConvertor::Section | ( | const gp_Pnt & | FirstPnt, |
const gp_Vec & | DFirstPnt, | ||
const gp_Vec & | D2FirstPnt, | ||
const gp_Pnt & | Center, | ||
const gp_Vec & | DCenter, | ||
const gp_Vec & | D2Center, | ||
const gp_Vec & | Dir, | ||
const gp_Vec & | DDir, | ||
const gp_Vec & | D2Dir, | ||
const Standard_Real | Angle, | ||
const Standard_Real | DAngle, | ||
const Standard_Real | D2Angle, | ||
TColgp_Array1OfPnt & | Poles, | ||
TColgp_Array1OfVec & | DPoles, | ||
TColgp_Array1OfVec & | D2Poles, | ||
TColStd_Array1OfReal & | Weights, | ||
TColStd_Array1OfReal & | DWeights, | ||
TColStd_Array1OfReal & | D2Weights | ||
) |